<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 4</title>
	<script type="text/javascript">
		//Vamos a crear una clase
		let caja=function(){
			//propiedades publicas
			this.ancho=0;
			this.alto=0;
			this.texto="vacio";

			//metodos publicos
			this.mensaje=function(){
				this.texto="esto es un ejemplo";
			};

			this.mostrar=function(){
				alert(this.texto);
			};
		};
	</script>
</head>
<body>
	
</body>
</html>